layui.use(['form', 'upload'], function(){  //如果只加载一个模块，可以不填数组。如：layui.use('form')
  var form = layui.form() //获取form模块
  ,upload = layui.upload; //获取upload模块
  
});

//全选
function CheckAll(form){
	for (var i = 0; i < form.elements.length; i++) {
    	var e = form.elements[i];
        if (e.Name != "ChkAll" && e.disabled == false)
			e.checked = form.ChkAll.checked;
	}
}

//判断是否选择
function IsCheck(ObjName){
	var Obj = document.getElementsByName(ObjName); //获取复选框数组
    var ObjLen = Obj.length; //获取数组长度
    var Flag = false; //是否有选择
    for (var i = 0; i < ObjLen; i++) {
		if (Obj[i].checked == true) {
			Flag = true;
			break;
		}
	}
	return Flag;
}

//栏目合并判断
function ConfirmUnite() {
	if ($("#CurrentClassID").attr("value") == $("#TargetClassID").attr("value")) {
		alert("请不要在相同栏目内进行操作！");
		$("#TargetClassID").focus();
		return false;
	}
return true;
}

//获取META
function GetMeta() {
	var url = $("#web_url").val();

	if (url == '') {
		alert('请输入网站域名！');
		$("#web_url").focus();
		return false;
	}
	$(document).ready(function(){$("#meta_btn").val('正在获取，请稍候...'); 
		$.ajax({type: "GET", 
			url: 'website.php?act=metainfo', 
			data: 'url=' + url,
			 datatype: "script",
			  cache: false, 
			success: function(data){
				if(data =='-1'){
					alert('请输入正确的网站域名！');
				}else if(data =='-2'){
                   alert('请输入网站域名！');
				}else{
					$("body").append(data); 
				}
				
		

			$("#meta_btn").val('重新获取');
		}});});		
}

//获取ip, PageRank, Sogou PageRank, Alexa
function GetData() {
		var url = $("#web_url").val();
	if (url == '') {
		alert('请输入网站域名！');
		$("#web_url").focus();
		return false;
	}
	$(document).ready(function(){$("#data_btn").val('正在获取，请稍候...');
	$.ajax({type: "GET", url: 'website.php?act=webdata', data: 'url=' + url, datatype: "script", cache: false, 
		success: function(data){
					if(data =='-1'){
					alert('请输入正确的网站域名！');
				}else if(data =='-2'){
                   alert('请输入网站域名！');
				}else{
					$("body").append(data); 
				}

		$("#data_btn").val('重新获取');}});});		
}

//自动去除http
function strip_http() {
	var url = $("#web_url").val();

    if (url.indexOf("http://") >= 0) {
		url = url.replace("http://", "");
	}
    if (url.indexOf("/") >= 0) {
		var domainArr = url.split("/");
        $("#web_url").val(domainArr[0]);
	} else {
		$("#web_url").val(url);
	}
    return url.replace(" ", "");
}

//验证url
function checkurl(url){
	if (url == '') {
		$("#msg").html('请输入网站域名！');
		return false;
	}
	
	$(document).ready(function(){$("#msg").html('<img src="' + sitepath + 'public/images/loading.gif" align="absmiddle"> 正在验证，请稍候...'); $.ajax({type: "GET", url: sitepath + '?mod=ajaxget&type=check', data: 'url=' + url, cache: false, success: function(data){$("#msg").html(data)}});});
return true;
};

$(function(){
	$("#game-caiji").on("click",function(){
	var site_api = $("#site_api").val();
	var url =  $("#caiji-url").val();

	var index = layer.load(1, {
    shade: [0.1,'#fff'] //0.1透明度的白色背景
    });  
     $(this).val('采集中');
	  $.ajax({
	  	type:"post",
	  	url:"/admin/api.php?type=game",
	  	data:{site_api:site_api,url:url},
	  	success:function(json){
         if(json.status ==1){
         	$("#game-caiji").val('立即采集');
            $("#title").val(json.data.title);
            $("#url").val(json.data.url);

            $("#layui-layer-shade1,.layui-layer-loading1").hide();
         }else{
         	alert(json.msg);
         }
	  	},
	  	dataType:"json"
	  })
	});
});

//升级
$(function(){
	$(".update_check").on("click",function(){
	var v = $(this).attr('data-v');
	var url = $(this).attr('data-url');

	layer.msg('升级包检测中！', {
		time: 0,
	  icon: 16
	});
	ajax('check');
			function ajax(type){
					  $.ajax({
				  	type:"post",
				  	url:"/admin/update.php",
				  	data:{v:v,"type":type,},
				  	success:function(json){
			         if(json.status == 1){
			         	// 升级前,请确认已经做好数据库和程序备份!
					layer.confirm(json.msg, {
					  btn: ['确定升级','取消'] //按钮
					}, function(){
						ajax('start');
						layer.msg('升级中，请勿关闭！', {
							time: 0,
						  icon: 16
						});
					}, function(){
					});   
			               
			         }else if(json.status == 2){              
			         	layer.alert(json.msg, {
						  icon: 1,
						  skin: 'layer-ext-moon' 
						})
						location.reload();
			         }else if(json.status == -1){
			         	//更新失败
			         	  layer.alert(json.msg, {
						  icon: 2,
						  skin: 'layer-ext-moon'
						  })
			            }else{
			         	//已经是最新版
			         	  layer.alert(json.msg, {
						  icon: 4,
						  skin: 'layer-ext-moon'
						  })
			            }
				  	},
				  	dataType:"json"
				  });
			}

	});
});